Subject: bug#40384: 26.3; [Windows10] variable-pitch-mode is slow to redraw

From: Eli Zaretskii <[email-masked]>
Date: Thu, 02 Apr 2020 17:40:55 +0300

> From: <[email-masked]>
> Date: Wed, 1 Apr 2020 20:06:38 -0400
> 
> I am trying to emacs under Windows 10. variable-pitch-mode is insanely slow
> in redrawing the screen. With a clean emacs.d I opened a text file and tried
> pressing the down arrow. The cursor gets redisplayed every 10 lines or so
> and emacs is very sluggish. It is interesting that this DOES NOT happen with
> a normal, fixed-pitch, font and also does NOT happen if I set the default
> font to be a variable pitch one e.g. "Segoe UI". It only happens with
> variable-pitch-mode.

I don't think I can reproduce this.

Which font is used on your system when you turn on
variable-pitch-mode?  (You can type "C-u C-x =" on a character to see
the font used to display it.)

> Attached are profiler results for moving down two pages worth of
> text.

Thanks, but you provided a "memory" profile, which is almost useless.
Please provide the "cpu" profile instead, and please show it in
human-readable form (after performing the measurement, type "M-x
profiler-report RET", then go to each top-level "+" sign and type "C-u
RET" to expand the profile; and finally paste the result into your
message and send it).